# This file is copied from
# https://github.com/coreos/fedora-coreos-config

set default="1"

function load_video {
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod all_video
}

load_video
set gfxpayload=keep
insmod gzio
insmod part_gpt
insmod ext2

set timeout=60
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Install RHEL CoreOS' --class fedora --class gnu-linux --class gnu --class os {
	linux /images/pxeboot/vmlinuz {{ coreos_installation_args }}
	initrd /images/pxeboot/initrd.img
}
